<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:card_view="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/topbj1"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    tools:context=".modules.home.fragment.from.DiyUpdate1Activity">

    <RelativeLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="?attr/qmui_topbar_height"
        android:background="@color/qmui_config_color_white">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="30dp"
                android:layout_marginRight="30dp"
                android:orientation="vertical">

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_10"
                    android:orientation="horizontal">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:orientation="vertical">

                        <RelativeLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

<!--                            <com.bonait.bnframework.common.view.RoundCornerImageView-->
<!--                                android:id="@+id/cpfm"-->
<!--                                android:layout_width="150dp"-->
<!--                                android:layout_height="150dp"-->
<!--                                android:background="@drawable/border1"-->
<!--                                android:scaleType="centerCrop"-->
<!--                                android:src="@mipmap/image3"-->
<!--                                android:layout_centerInParent="true"/>-->
                            <com.bonait.bnframework.common.view.CircleImageView
                                android:id="@+id/cpfm"
                                android:layout_width="150dp"
                                android:layout_height="150dp"
                                android:layout_centerInParent="true"
                                android:scaleType="centerCrop"
                                android:src="@mipmap/image3" />


                        </RelativeLayout>

                        <EditText
                            android:id="@+id/edittext"
                            android:layout_width="300dp"
                            android:layout_height="50dp"
                            android:layout_marginLeft="5dp"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginBottom="@dimen/dp_10"
                            android:background="@drawable/input_bj1"
                            android:hint="请输入菜谱名称"
                            android:inputType="text"
                            android:lines="1"
                            android:padding="3dp"
                            android:textSize="19dp" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:layout_marginLeft="@dimen/dp_40"
                        android:orientation="vertical"
                        android:visibility="gone">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginTop="@dimen/dp_10"
                            android:layout_marginBottom="12dp">

                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="菜谱名称：" />
                            <!--账号输入框-->
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_marginBottom="12dp">

                            <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:text="制作时长：" />
                            <!--账号输入框-->
                            <EditText
                                android:id="@+id/zzsc"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:background="@drawable/input_bj"
                                android:hint="请输入制作时长"
                                android:inputType="number"
                                android:maxLines="1"
                                android:padding="3dp"
                                android:text="0"
                                android:textSize="12dp" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content">

                            <CheckBox
                                android:id="@+id/check"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="70dp"
                                android:buttonTint="@color/radiusImageView_selected_mask_color"
                                android:text="默认收藏" />
                        </LinearLayout>
                    </LinearLayout>
                </RelativeLayout>
                <!--边框分割细线-->
                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="1dp"
                    android:layout_alignParentBottom="true"
                    android:layout_marginBottom="@dimen/dp_10"
                    android:background="@color/color3" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="400dp">

                    <RelativeLayout
                        android:layout_width="200dp"
                        android:layout_height="wrap_content">

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:orientation="vertical">

                            <RelativeLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <com.qmuiteam.qmui.widget.textview.QMUILinkTextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="步骤："
                                    android:textColor="#567722"
                                    android:textSize="19dp" />

                                <LinearLayout
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:layout_alignParentRight="true">

                                    <ImageView
                                        android:id="@+id/shangyi"
                                        android:layout_width="35dp"
                                        android:layout_height="35dp"
                                        android:src="@mipmap/ll5" />

                                    <ImageView
                                        android:id="@+id/xiayi"
                                        android:layout_width="35dp"
                                        android:layout_height="35dp"
                                        android:layout_marginLeft="15dp"
                                        android:src="@mipmap/ll6" />
                                </LinearLayout>

                            </RelativeLayout>

                            <ListView
                                android:id="@+id/datatab_gxbz"
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="10dp"
                                android:layout_marginBottom="50dp"
                                android:divider="#00000000"
                                android:dividerHeight="3dp" />
                        </LinearLayout>

                        <ImageView
                            android:visibility="gone"
                            android:id="@+id/caozuomoshi"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentBottom="true"
                            android:layout_centerHorizontal="true"
                            android:src="@mipmap/ll4" />
                    </RelativeLayout>

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/dp_10">
                        <!--边框分割细线-->
                        <RelativeLayout
                            android:layout_width="@dimen/dp_10"
                            android:layout_height="match_parent"
                            android:layout_alignParentLeft="true">

                            <LinearLayout
                                android:layout_width="1dp"
                                android:layout_height="match_parent"
                                android:layout_centerInParent="true"
                                android:layout_marginTop="@dimen/dp_40"
                                android:layout_marginBottom="@dimen/dp_40"
                                android:background="@color/color3" />
                        </RelativeLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:orientation="vertical">

                            <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="horizontal">

                                <TextView
                                    android:layout_width="wrap_content"
                                    android:layout_height="wrap_content"
                                    android:text="烹饪工序："
                                    android:textColor="#BEAA6A"
                                    android:textSize="19dp" />

                                <Spinner
                                    android:id="@+id/hrgx"
                                    style="@style/commonSpinnerStyle"
                                    android:layout_width="match_parent"
                                    android:layout_height="30dp"
                                    android:layout_centerVertical="true" />
                            </LinearLayout>

                            <ScrollView
                                android:layout_width="match_parent"
                                android:layout_height="match_parent"
                                android:layout_marginTop="20dp"
                                android:layout_marginBottom="50dp">

                                <LinearLayout
                                    android:id="@+id/gxchid"
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical"></LinearLayout>
                            </ScrollView>

                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:layout_alignParentBottom="true"
                            android:layout_marginLeft="@dimen/dp_10"
                            android:layout_marginTop="@dimen/dp_10">

                            <ImageView
                                android:id="@+id/add_hrgx"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:src="@mipmap/ll3" />

                            <ImageView
                                android:id="@+id/update_gx"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:src="@mipmap/ll2" />

                            <ImageView
                                android:id="@+id/delete_gx"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginLeft="5dp"
                                android:src="@mipmap/ll1" />
                        </LinearLayout>
                    </RelativeLayout>

                </LinearLayout>

                <RelativeLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="30dp"
                    android:layout_marginBottom="30dp">

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerHorizontal="true"
                        android:orientation="horizontal">

                        <Button
                            android:id="@+id/shengchengcaipu"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@mipmap/xgcp1"
                            android:textColor="@color/white"
                            android:textSize="18sp" />

                        <Button
                            android:id="@+id/shengchengnewcaipu"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="@dimen/dp_40"
                            android:background="@mipmap/scxcp1"
                            android:textColor="@color/white"
                            android:textSize="18sp" />
                    </LinearLayout>

                </RelativeLayout>
            </LinearLayout>
        </ScrollView>
    </RelativeLayout>

    <com.qmuiteam.qmui.widget.QMUITopBarLayout
        android:id="@+id/topbar"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/app_color_blue" />
</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>